# cabal2spec-0.25
# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name binary-shared

%global common_summary Haskell library for sharing binary elements

%global common_description Provides capability to share elements created by binary package.

Name:           ghc-%{pkg_name}
Version:        0.8.2
Release:        2%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        GPLv2
# BEGIN cabal2spec
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
ExclusiveArch:  %{ghc_arches}
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros %{!?without_hscolour:hscolour}
# END cabal2spec
BuildRequires:  ghc-binary-devel
BuildRequires:  ghc-mtl-devel

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


# devel subpackage
%ghc_devel_package

%ghc_devel_description


%ghc_devel_post_postun


%ghc_files LICENSE


%changelog
* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jun 22 2012 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.8.2-1
- update to 0.8.2

* Fri Jun 15 2012 Jens Petersen <petersen@redhat.com> - 0.8.1-7
- rebuild

* Sun Mar 18 2012 Jens Petersen <petersen@redhat.com> - 0.8.1-6
- update to cabal2spec-0.25

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1-5.2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Oct 20 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.8.1-4.2
- rebuild with new gmp without compat lib

* Tue Oct 11 2011 Peter Schiffer <pschiffe@redhat.com> - 0.8.1-4.1
- rebuild with new gmp

* Tue Jun 21 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.8.1-4
- Update to cabal2spec - 0.23.2

* Mon Jun 20 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.8.1-3
- Update to  cabal2spec - 0.23.1

* Sat Mar 26 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.8.1-2
- Update to  cabal2spec - 0.22.5

* Sun Oct 10 2010 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.8.1-1
- Modified description
- Modified license
- Modified dependencies

* Sun Oct 10 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.8.1-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.2
